Class | FFI::AutoPointer::Releaser
In: | lib/ffi/autopointer.rb
Parent: | Object

@abstract Base class for {AutoPointer}’s releasers.

     All subclasses of Releaser should define a +#release(ptr)+ method.

A releaser is an object in charge of release an {AutoPointer}.

### Methods

autorelease= call free new

### Public Class methods

new(ptr, proc)

@param [Pointer] ptr @param [call] proc @return [nil] A new instance of Releaser.

### Public Instance methods

autorelease=(autorelease)

@param [Boolean] autorelease @return [Boolean] autorelease Set `autorelease` attribute for pointer managed by Releaser.

call(*args)

@param args Release pointer if `autorelease` is set.

free()

@return [nil] Free pointer.

[Validate]